Subject: Rochester
From: [email-masked]
To: [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 13 Mar 2000 05:39:00 -0800 (PST)

I spoke with Rochester this morning and they advised that they will present a 
recommendation to their Board on 3/28 as to the party they will negotiate 
with.

At this point, they are evaluating the bids and will be issuing questions, 
etc. (Note: 2 parties were disqualified for failure to submit bid bonds)

Again, even though we were low bidder, I would not view this as a given that 
we will be the final party.

I'll stay close to this and keep everyone advised.